# flutter_gradient_box_decoration

A Flutter plugin for iOS and Android for generating signin buttons for different social media account.

> Feedback and Pull Requests are most welcome!

## Installation

Add to pubspec.yaml.

```yaml
dependencies:
  ...
  gradient_box_decoration: ^0.1.0
```

## Usage Example

import custom_gradient.dart

```dart
import 'package:gradient_box_decoration/src/custom_gradient.dart';
```

### How to use.

```dart
Container(
        decoration: CustomGradient.GradeGrey(
            orientation: CustomGradient.ORIENTATION_HORIZONTAL,
            gradientType: CustomGradient.GRADIENT_TYPE_AMIN),
      )

```

### Gradient Orientation.

```dart
CustomGradient.ORIENTATION_HORIZONTAL
CustomGradient.ORIENTATION_VERTICAL
```

### Gradient Type (300+ Type are available).
```dart
Gradient Type. Some Example.

CustomGradient.GRADIENT_TYPE_GRADE_GREY.
CustomGradient.GRADIENT_TYPE_PIGGY_PINK.
CustomGradient.GRADIENT_TYPE_COOL_BLUES.
CustomGradient.GRADIENT_TYPE_MEGATRON.
CustomGradient.GRADIENT_TYPE_MOONLIT_ASTEROID.
CustomGradient.GRADIENT_TYPE_JSHINE.
CustomGradient.GRADIENT_TYPE_EVENING_SUNSHINE.
CustomGradient.GRADIENT_TYPE_DARK_OCEAN.
CustomGradient.GRADIENT_TYPE_COOL_SKY.
CustomGradient.GRADIENT_TYPE_YODA.
CustomGradient.GRADIENT_TYPE_MEMARIANI.

```


